質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.90%

peclでintlをインストールしたい。ERROR: `phpize' failed

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 5,046

score 18

macOS X 10.11.4
XAMPP5.6
PHP5.6
プログラミング初心者です。

読みやすいように、簡潔に記します。
XAMPP環境でcakephpを行えるようにしたいのですができません。
理由として、intlが入っていないことがエラー原因でした。
そこで、intlを入れようとしたのですが、peclが必要となり、幾つかのエラーを直しながら、何とかpeclをインストールすることができました。

しかし、

$ pecl install intlを実行すると

downloading intl-3.0.0.tgz ...
Starting to download intl-3.0.0.tgz (248,200 bytes)
....................................................done: 248,200 bytes
150 source files, building
running: phpize
Configuring for:
PHP Api Version:         20131106
Zend Module Api No:      20131226
Zend Extension Api No:   220131226

Cannot find autoconf. Please check your autoconf installation and the
$PHP_AUTOCONF environment variable. Then, rerun this script.

ERROR: `phpize' failed

というエラーが出て、肝心のintlを入れることできません。

phpizeのエラーを解決するために調べてはいるのですが、なかなか解決できません。
何か良い解決策があればご教授ください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

php-devel をインストールしなければいけませんね。

mac だと、macport とか homebrew を利用してインストールすれば使えるようになりますよ。

作業環境を整えるMacOSXのパッケージマネージャ「Homebrew」のインストール方法と使い方

MacPortsの基本的な使い方とコマンド

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/05/31 02:27


    ありがとうございました!
    macportはインストールしていたのですが、訳も分からず持っておりました。
    上記のサイトでmacportsを理解することができて、動かせました!
    数日悩んでおりました。。。本当にありがとうございました。



    macの方がcakephpを使う時にはまる、intlないよというエラー時の解決策です。

    1、php.iniにextension=intl.soを追加します。

    「intlをインストール作業」
    2、macportsのインストール
    3、$ sudo macports install php56-intl


    「cakephpのインストール」
    開発するディレクトリ(XAMPPはhtdocs)に移動して、
    4、$ curl -s https://getcomposer.org/installer | php
    5、$ php composer.phar create-project --prefer-dist cakephp/app cakephp


    すると、intl.soがあるべきはずの場所にないよというエラーがでます。
    6、intl.soをXAMPP/xamppfiles/lib/php/extensions/no-debug-non-zts-20131226/intl.soの場所にコピーします。

    そののちに、先ほど5番で作ったcakephpディレクトリを削除し、再び、
    7、$ php composer.phar create-project --prefer-dist cakephp/app cakephp

    これでintlのエラーがでずに、cakephpが起動します。


    参考サイト
    intlを入れるまでの流れ
    http://hiroki-tkg.com/?p=1539

    超初心者向けmacportsの使い方
    https://joppot.info/2013/12/05/54

    キャンセル

  • 2016/05/31 02:33

    > wisdom さん
    フィードバックありがとうございます。
    質問される方がみんなこうしてくれると、回答の甲斐もありますね。

    キャンセル

  • 2016/06/01 15:10

    いいえ、こちらこそ助かりました。
    本当にありがとうございました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.90%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る